# You can find more information about this file on the symfony website:
# http://www.symfony-project.org/reference/1_4/en/10-Routing

# default rules
homepage:
  url:   /
  param:
    module: myaccount
    action: index

category_base:
  url:  /products
  param:
    module: category
    action: index

category:
  url:   /products/:url_slug
  param:
    module: category
    action: index
  options:
    column:             url_slug
    segment_separators: [_, ., -]

quote:
  url: /quote
  param:
    module: category
    action: quoteRequestList

quote_category:
  url: /quote/:category_id
  param:
    module: category
    action: quoteRequestList
    
order:
  class: sfDoctrineRouteCollection
  options:
    model:                Order
    with_wildcard_routes: true
  
product_finder:
  url: /product/finder
  param:
    module: product
    action: finder

product_slug:
  url:  /product/:slug
  param:
    module: product
    action: show

history:
  class: sfDoctrineRouteCollection
  options:
    model:                Quote
    module:               history
    column:               id
    with_wildcard_routes: true

history_response:
  url:  /quickview/:id/:email
  param:
    module: history
    action: show

cart:
  url: /cart
  param:
    module: cart
    action: index
    
cart_update:
  url:  /cart/:doAction/:id/:amount/:type
  param:
    module: cart
    action: updateCart

cart_remove:
  url: /cart/remove/:id
  param:
    module: cart
    action: updateCart
    doAction: remove

special:
  url:    /special
  param:
    module: special
    action: index

myaccount:
  class: sfDoctrineRouteCollection
  options:
    model:                Contact
    with_wildcard_routes: true
  
sf_guard_signin:
  url:   /login
  param:
    module: sfGuardAuth
    action: signin

sf_guard_signout:
  url:   /logout
  param:
    module: sfGuardAuth
    action: signout

sf_guard_password:
  url:   /request_password
  param:
    module: sfGuardAuth
    action: password

# generic rules
# please, remove them by adding more specific rules
#default_index:
#  url:   /:module
#  param: { action: index }

default:
  url:   /:module/:action/*
